Module | Sequel::Dataset::UnnumberedArgumentMapper
In: | lib/sequel/dataset/prepared_statements.rb

Default implementation for an argument mapper that uses unnumbered SQL placeholder arguments. Keeps track of which arguments have been used, and allows arguments to be used more than once.

### Methods

map_to_prepared_args

### Included Modules

ArgumentMapper

### Protected Instance methods

map_to_prepared_args(bind_vars)

Returns a single output array mapping the values of the input hash. Keys in the input hash that are used more than once in the query have multiple entries in the output array.

[Source]

         # File lib/sequel/dataset/prepared_statements.rb, line 191
    191:       def map_to_prepared_args(bind_vars)
    192:         prepared_args.map{|v| bind_vars[v]}
    193:       end

[Validate]